import * as jspb from 'google-protobuf'



export class CommonRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CommonRequest.AsObject;
  static toObject(includeInstance: boolean, msg: CommonRequest): CommonRequest.AsObject;
  static serializeBinaryToWriter(message: CommonRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CommonRequest;
  static deserializeBinaryFromReader(message: CommonRequest, reader: jspb.BinaryReader): CommonRequest;
}

export namespace CommonRequest {
  export type AsObject = {
  }
}

export class CommonRespond extends jspb.Message {
  getRetcode(): number;
  setRetcode(value: number): CommonRespond;

  getRetmessage(): string;
  setRetmessage(value: string): CommonRespond;

  getFiled1(): string;
  setFiled1(value: string): CommonRespond;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CommonRespond.AsObject;
  static toObject(includeInstance: boolean, msg: CommonRespond): CommonRespond.AsObject;
  static serializeBinaryToWriter(message: CommonRespond, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CommonRespond;
  static deserializeBinaryFromReader(message: CommonRespond, reader: jspb.BinaryReader): CommonRespond;
}

export namespace CommonRespond {
  export type AsObject = {
    retcode: number,
    retmessage: string,
    filed1: string,
  }
}

export class LoginRequest extends jspb.Message {
  getAccountcode(): string;
  setAccountcode(value: string): LoginRequest;

  getPassword(): string;
  setPassword(value: string): LoginRequest;

  getVerifycode(): string;
  setVerifycode(value: string): LoginRequest;

  getKey(): string;
  setKey(value: string): LoginRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): LoginRequest.AsObject;
  static toObject(includeInstance: boolean, msg: LoginRequest): LoginRequest.AsObject;
  static serializeBinaryToWriter(message: LoginRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): LoginRequest;
  static deserializeBinaryFromReader(message: LoginRequest, reader: jspb.BinaryReader): LoginRequest;
}

export namespace LoginRequest {
  export type AsObject = {
    accountcode: string,
    password: string,
    verifycode: string,
    key: string,
  }
}

export class LoginRespond extends jspb.Message {
  getCode(): number;
  setCode(value: number): LoginRespond;

  getMessage(): string;
  setMessage(value: string): LoginRespond;

  getSensitive(): string;
  setSensitive(value: string): LoginRespond;

  getOrgztypes(): string;
  setOrgztypes(value: string): LoginRespond;

  getActive(): number;
  setActive(value: number): LoginRespond;

  getForcechangepass(): string;
  setForcechangepass(value: string): LoginRespond;

  getReletype(): number;
  setReletype(value: number): LoginRespond;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): LoginRespond.AsObject;
  static toObject(includeInstance: boolean, msg: LoginRespond): LoginRespond.AsObject;
  static serializeBinaryToWriter(message: LoginRespond, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): LoginRespond;
  static deserializeBinaryFromReader(message: LoginRespond, reader: jspb.BinaryReader): LoginRespond;
}

export namespace LoginRespond {
  export type AsObject = {
    code: number,
    message: string,
    sensitive: string,
    orgztypes: string,
    active: number,
    forcechangepass: string,
    reletype: number,
  }
}

export class VerifyCodeRespond extends jspb.Message {
  getImg(): string;
  setImg(value: string): VerifyCodeRespond;

  getKey(): string;
  setKey(value: string): VerifyCodeRespond;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): VerifyCodeRespond.AsObject;
  static toObject(includeInstance: boolean, msg: VerifyCodeRespond): VerifyCodeRespond.AsObject;
  static serializeBinaryToWriter(message: VerifyCodeRespond, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): VerifyCodeRespond;
  static deserializeBinaryFromReader(message: VerifyCodeRespond, reader: jspb.BinaryReader): VerifyCodeRespond;
}

export namespace VerifyCodeRespond {
  export type AsObject = {
    img: string,
    key: string,
  }
}

export class SystemUserReqParam extends jspb.Message {
  getPagenum(): number;
  setPagenum(value: number): SystemUserReqParam;

  getPagesize(): number;
  setPagesize(value: number): SystemUserReqParam;

  getLogincode(): string;
  setLogincode(value: string): SystemUserReqParam;

  getReletype(): string;
  setReletype(value: string): SystemUserReqParam;

  getManagerstatus(): number;
  setManagerstatus(value: number): SystemUserReqParam;

  getAreaids(): string;
  setAreaids(value: string): SystemUserReqParam;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SystemUserReqParam.AsObject;
  static toObject(includeInstance: boolean, msg: SystemUserReqParam): SystemUserReqParam.AsObject;
  static serializeBinaryToWriter(message: SystemUserReqParam, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SystemUserReqParam;
  static deserializeBinaryFromReader(message: SystemUserReqParam, reader: jspb.BinaryReader): SystemUserReqParam;
}

export namespace SystemUserReqParam {
  export type AsObject = {
    pagenum: number,
    pagesize: number,
    logincode: string,
    reletype: string,
    managerstatus: number,
    areaids: string,
  }
}

export class SystemUserReqResult extends jspb.Message {
  getAutoid(): number;
  setAutoid(value: number): SystemUserReqResult;

  getLogincode(): string;
  setLogincode(value: string): SystemUserReqResult;

  getUsername(): string;
  setUsername(value: string): SystemUserReqResult;

  getAreaname(): string;
  setAreaname(value: string): SystemUserReqResult;

  getRolename(): string;
  setRolename(value: string): SystemUserReqResult;

  getManagerstatus(): number;
  setManagerstatus(value: number): SystemUserReqResult;

  getModifytime(): string;
  setModifytime(value: string): SystemUserReqResult;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SystemUserReqResult.AsObject;
  static toObject(includeInstance: boolean, msg: SystemUserReqResult): SystemUserReqResult.AsObject;
  static serializeBinaryToWriter(message: SystemUserReqResult, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SystemUserReqResult;
  static deserializeBinaryFromReader(message: SystemUserReqResult, reader: jspb.BinaryReader): SystemUserReqResult;
}

export namespace SystemUserReqResult {
  export type AsObject = {
    autoid: number,
    logincode: string,
    username: string,
    areaname: string,
    rolename: string,
    managerstatus: number,
    modifytime: string,
  }
}

export class SystemResultRespond extends jspb.Message {
  getSystemuserreqresultList(): Array<SystemUserReqResult>;
  setSystemuserreqresultList(value: Array<SystemUserReqResult>): SystemResultRespond;
  clearSystemuserreqresultList(): SystemResultRespond;
  addSystemuserreqresult(value?: SystemUserReqResult, index?: number): SystemUserReqResult;

  getCommonrespond(): CommonRespond | undefined;
  setCommonrespond(value?: CommonRespond): SystemResultRespond;
  hasCommonrespond(): boolean;
  clearCommonrespond(): SystemResultRespond;

  getPages(): number;
  setPages(value: number): SystemResultRespond;

  getPagesize(): number;
  setPagesize(value: number): SystemResultRespond;

  getTotal(): number;
  setTotal(value: number): SystemResultRespond;

  getCurrent(): number;
  setCurrent(value: number): SystemResultRespond;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SystemResultRespond.AsObject;
  static toObject(includeInstance: boolean, msg: SystemResultRespond): SystemResultRespond.AsObject;
  static serializeBinaryToWriter(message: SystemResultRespond, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SystemResultRespond;
  static deserializeBinaryFromReader(message: SystemResultRespond, reader: jspb.BinaryReader): SystemResultRespond;
}

export namespace SystemResultRespond {
  export type AsObject = {
    systemuserreqresultList: Array<SystemUserReqResult.AsObject>,
    commonrespond?: CommonRespond.AsObject,
    pages: number,
    pagesize: number,
    total: number,
    current: number,
  }
}

